POST V1/Messages.{ext}/MessagesForwardToUser?messageId={messageId}&forwardUserIds={forwardUserIds}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
messageId

No description available

integer

Required

forwardUserIds

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.AlertsAndMessages.Entities.Message
NameDescriptionTypeAdditional information
Id

No description available

integer

None.

Subject

No description available

string

None.

Body

No description available

string

None.

Greetings

No description available

string

None.

Signature

No description available

string

None.

ParentMessageId

No description available

integer

None.

LoginId

No description available

string

None.

Name

No description available

string

None.

CreatedUserId

No description available

integer

None.

Status

No description available

string

None.

ClientId

No description available

integer

None.

ClientCode

No description available

string

None.

ClientName

No description available

string

None.

CreatedUser

No description available

string

None.

CreatedDate

No description available

string

None.

UpdatedBy

No description available

string

None.

UpdatedDate

No description available

string

None.

MessageType

No description available

string

None.

RecieveUserId

No description available

integer

None.

MessageState

No description available

string

None.

MessageTagValue

No description available

string

None.

MessageTagType

No description available

string

None.

ReadDate

No description available

string

None.

ArchiveDate

No description available

string

None.

TaggedUserIds

No description available

string

None.

ProfileImageType

No description available

string

None.

NewCount

No description available

integer

None.

MessageTagging

No description available

Collection of EMS.AlertsAndMessages.Entities.NotificationTagging

None.

ColorCode

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "subject": "sample string 2",
  "body": "sample string 3",
  "greetings": "sample string 4",
  "signature": "sample string 5",
  "parentMessageId": 6,
  "loginId": "sample string 7",
  "name": "sample string 8",
  "createdUserId": 9,
  "status": "sample string 10",
  "clientId": 11,
  "clientCode": "sample string 12",
  "clientName": "sample string 13",
  "createdUser": "sample string 14",
  "createdDate": "sample string 15",
  "updatedBy": "sample string 16",
  "updatedDate": "sample string 17",
  "messageType": "sample string 18",
  "recieveUserId": 19,
  "messageState": "sample string 20",
  "messageTagValue": "sample string 21",
  "messageTagType": "sample string 22",
  "readDate": "sample string 23",
  "archiveDate": "sample string 24",
  "taggedUserIds": "sample string 25",
  "profileImageType": "sample string 26",
  "newCount": 27,
  "messageTagging": [
    {
      "notificationId": 1,
      "notificationTagType": "sample string 2",
      "notifictionTagValue": "sample string 3"
    },
    {
      "notificationId": 1,
      "notificationTagType": "sample string 2",
      "notifictionTagValue": "sample string 3"
    }
  ],
  "colorCode": "sample string 28"
}

application/xml, text/xml

Sample:
<Message xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.AlertsAndMessages.Entities">
  <ArchiveDate>sample string 24</ArchiveDate>
  <Body>sample string 3</Body>
  <ClientCode>sample string 12</ClientCode>
  <ClientId>11</ClientId>
  <ClientName>sample string 13</ClientName>
  <ColorCode>sample string 28</ColorCode>
  <CreatedDate>sample string 15</CreatedDate>
  <CreatedUser>sample string 14</CreatedUser>
  <CreatedUserId>9</CreatedUserId>
  <Greetings>sample string 4</Greetings>
  <Id>1</Id>
  <LoginId>sample string 7</LoginId>
  <MessageState>sample string 20</MessageState>
  <MessageTagType>sample string 22</MessageTagType>
  <MessageTagValue>sample string 21</MessageTagValue>
  <MessageTagging>
    <NotificationTagging>
      <NotificationId>1</NotificationId>
      <NotificationTagType>sample string 2</NotificationTagType>
      <NotifictionTagValue>sample string 3</NotifictionTagValue>
    </NotificationTagging>
    <NotificationTagging>
      <NotificationId>1</NotificationId>
      <NotificationTagType>sample string 2</NotificationTagType>
      <NotifictionTagValue>sample string 3</NotifictionTagValue>
    </NotificationTagging>
  </MessageTagging>
  <MessageType>sample string 18</MessageType>
  <Name>sample string 8</Name>
  <NewCount>27</NewCount>
  <ParentMessageId>6</ParentMessageId>
  <ProfileImageType>sample string 26</ProfileImageType>
  <ReadDate>sample string 23</ReadDate>
  <RecieveUserId>19</RecieveUserId>
  <Signature>sample string 5</Signature>
  <Status>sample string 10</Status>
  <Subject>sample string 2</Subject>
  <TaggedUserIds>sample string 25</TaggedUserIds>
  <UpdatedBy>sample string 16</UpdatedBy>
  <UpdatedDate>sample string 17</UpdatedDate>
</Message>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.